repos:
  # opinionated python formatter
  - repo: local
    hooks:
      - id: black-format
        name: black-format
        entry: black .
        language: python
        pass_filenames: false
        always_run: true

  # imports sorting
  - repo: local
    hooks:
      - id: isort-format
        name: isort-format
        entry: isort .
        language: python
        pass_filenames: false
        always_run: true

  # style guide enforcement
  - repo: local
    hooks:
      - id: flake8-check
        name: flake8-check
        entry: flake8
        language: python
        pass_filenames: false
        always_run: true

  # typing enforcement
  - repo: local
    hooks:
      - id: mypy-check
        name: mypy-check
        entry: mypy .
        language: python
        pass_filenames: false
        always_run: true

  # tests
  - repo: local
    hooks:
      - id: pytest-check
        name: pytest-check
        entry: pytest
        language: python
        pass_filenames: false
        always_run: true
